<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>zeroconf</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="zeroconf">
<span id="ext-zeroconf"></span>
<h1 class="title">zeroconf</h1>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#description" id="toc-entry-1">Description</a></li>
</ul>
</div>
<p>discover and advertise repositories on the local network</p>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<p>The zeroconf extension will advertise <a class="reference external" href="hg-serve.html"><tt class="docutils literal">hg serve</tt></a> instances over
DNS-SD so that they can be discovered using the <a class="reference external" href="hg-paths.html"><tt class="docutils literal">hg paths</tt></a> command
without knowing the server's IP address.</p>
<p>To allow other people to discover your repository using run
<a class="reference external" href="hg-serve.html"><tt class="docutils literal">hg serve</tt></a> in your repository:</p>
<pre class="literal-block">
$ cd test
$ hg serve
</pre>
<p>You can discover Zeroconf-enabled repositories by running
<a class="reference external" href="hg-paths.html"><tt class="docutils literal">hg paths</tt></a>:</p>
<pre class="literal-block">
$ hg paths
zc-test = http://example.com:8000/test
</pre>
</div>
</div>
</body>
</html>
